*{
    padding: 0;
    margin: 0;
}
:root{
    --image-size: 60vh;
    --white-accent: rgba(0, 0, 0, .05);
    --outline-color-shadow: rgba(0, 0, 0, .1);
    --primary-color: rgb(208, 16, 80);
}
body{
    display: flex;
    flex-direction: column;
    font-family: "Barlow Semi Condensed";
    height: 100vh;
    font-size: 1.2rem;
}
a{
    color: inherit;
    text-decoration: none;
}
button{
    border: none;
}
.line{
    display: flex;
    align-items: center;
    gap: .5rem;
}
.fill{
    flex: 1;
}

.buttons{
    position: absolute;
    top: 2rem;
    left: 3rem;
}
.back-btn{
    background-color: var(--bg);
    mask-image: url("../img/arrow_back_icon.svg");
    width: 2.5rem;
    height: 2.5rem;
    transition: all .2s ease;
}
.back-btn:hover{
    cursor: pointer;
    opacity: .75;
}
.back-btn.home{
    position: relative;
    background-color: var(--primary-color);
}
a:has(.back-btn) + p{
    color: var(--bg);
    font-size: 1.2rem;
    font-weight: 500;
    transition: all .2s ease;
    transform-origin: left center;
}
a:has(.back-btn:hover) + p{
    scale: 1.1;
}
a:has(.back-btn.home) + p{
    color: var(--primary-color);
}
button:hover{
    cursor: pointer;
    color: color-mix(in srgb, var(--bg) 50%, transparent);
    scale: 1.1;
}
.tag{
    background-color: color-mix(in srgb, var(--bg) 20%, transparent);
    color: var(--bg);
    font-weight: 500;
    padding: .3rem .7rem;
    border-radius: 5px;
    white-space: nowrap;
    width: fit-content;
    height: fit-content;
    filter: brightness(85%);
    font-size: 1rem;
}
/* TOPBAR */
nav{
    box-shadow: 0 0 5px 5px var(--outline-color-shadow);
    height: fit-content;
}
.info-band{
    display: flex;
    justify-content: space-between;
    font-family: "Roboto";
    font-size: .9rem;
    padding: .5rem 10rem;
    background-color: var(--primary-color);
    color: white;
}
.right > *{
    padding: 0 1rem;
}
.right > *:not(:last-child){
    border-right: 1px solid rgba(0, 0, 0, .2);
}
.socials i{
    font-size: 1.25rem;
}

.nav-body{
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
    padding: 1rem 3rem 1rem 10rem;
}
.nav-body .logo{
    width: 200px;
    max-height: 75px;
}
.nav-body h1{
    font-size: 2.5rem;
    color: var(--primary-color);
    text-transform: uppercase;
}

/* SEARCH */
.search:has(input[type=search]){
    display: grid;
}
.search-input{
    width: fit-content;
    border-radius: 10px;
    box-shadow: 0 0 5px 5px var(--outline-color-shadow);
}
.search input{
    border: none;
    padding: .5rem;
    font-family: var(--main-font);
    font-size: 1.2rem;
    border-radius: 10px;
}
.search button{
    background-color: transparent;
    font-size: 1.2rem;
    color: var(--bg);
    margin-right: .5rem;
}

.results{
    position: absolute;
    top: calc(100% + .5rem);
    right: 3rem;
    border-radius: 10px;
    max-height: 0;
    overflow-y: auto;
    overflow-x: none; 
    transition: all .2s ease;
    background-color: white;
    z-index: 1;
    padding: 0 .2rem;
}
.results.active,
.results:has(:focus),
.results:active,
.results:hover{
    padding: .2rem;
    max-height: 70vh;
    box-shadow: 0 0 5px 5px var(--outline-color-shadow);
}
.results .option{
    display: grid;
    gap: .3rem;
    padding: 1rem .7rem;
    max-width: 50rem;
    border-radius: 10px;
}
.results .option *:not(i){
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
.results .option .titre-doc{
    font-size: 1.2rem;
}
.results .option .breadcrumb{
    font-family: "Roboto";
    font-size: .9rem;
    opacity: .8;
    color: var(--bg);
    filter: brightness(85%);
}
.results .option p strong{
    font-weight: 700;
}
.results .option:hover,
.results:not(:has(:hover)) .option:focus{
    cursor: pointer;
    background-color: var(--white-accent);
}
/* MAIN */
